# Cathubodua, Battle Crow (Cathubodua, Kampfkrahe)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Epic |
| Category | Military |
| Slot Type | Captain |
| Scope | Ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Ship Gunner Precision | Ship | +20% | Ship |
| Ship Gunner Attack | Ship | +2 | Ship |
| Movement Speed | Ship | +15% | Ship |
| Province Travel Speed | Ship | +30% | Ship |

## Improves Buildings
- Ships

## Source
All traders
